# Uses of Class
org.codehaus.janino.Java.SwitchStatement

Packages that use Java.SwitchStatement
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.SwitchStatement in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.SwitchStatement
Modifier and Type
Method
Description
`R`
Visitor.BlockStatementVisitor.`visitSwitchStatement(Java.SwitchStatement ss)`
Invoked by `accept(Visitor.BlockStatementVisitor)`

## Uses of Java.SwitchStatement in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.SwitchStatement
Modifier and Type
Method
Description
`Java.BlockStatement`
DeepCopier.`copySwitchStatement(Java.SwitchStatement subject)`
`void`
AbstractTraverser.`traverseSwitchStatement(Java.SwitchStatement ss)`
`void`
Traverser.`traverseSwitchStatement(Java.SwitchStatement ss)`